//	This file is part of Overpopulation, a gamescript for OpenTTD
//	by Skarfester based on City Growth Limiter Minimal by gnrd and
//	City Growth Limiter v6 by Sylf.
//
//	Copyright (C) 2023 Skarfester
//	Copyright (C) 2015 gnrd
//	Copyright (C) 2014 Sylf
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License along
//	with this program; if not, write to the Free Software Foundation, Inc.,
//	51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

class OverPop extends GSInfo {
	function GetAuthor()		{ return "Skarfester"; }
	function GetName()			{ return "Overpopulation"; }
	function GetDescription() 	{ return "Your goal is to grow the World population. Towns need a minimum percentage of passengers transported to grow. Optional income tax depending on global population."; }
	function GetVersion()		{ return 1; }
	function MinVersionToLoad()	{ return 0; }
	function GetDate()			{ return "2023-02-22"; }
	function CreateInstance()	{ return "OverPop"; }
	function GetShortName()		{ return "OVRP"; }
	function GetAPIVersion()	{ return "1.4"; }
	function GetUrl()			{ return "http://www.tt-forums.net/viewtopic.php?f=65&t=58238&p=1145507#p1145507"; } // need update
	function GetSettings() {
		AddSetting({
			name = "min_transport_pax",
			description = "Minimum percentage of passengers transported",
			easy_value = 35,
			medium_value = 50,
			hard_value = 65,
			custom_value = 50,
			flags = CONFIG_NONE,
			min_value = 5,
			max_value = 90,
			step_size = 5});
		AddSetting({
			name = "town_size_threshold",
			description = "Minimum size of town to apply growth limiter",
			easy_value = 1000,
			medium_value = 500,
			hard_value = 200,
			custom_value = 500,
			flags = CONFIG_NONE,
			min_value = 100,
			max_value = 3000,
			step_size = 100});
		AddSetting({
			name = "EnableTaxes",
			description = "Pay income tax depending on global population",
			easy_value = 1,
			medium_value = 1,
			hard_value = 1,
			custom_value = 1,
			flags = CONFIG_BOOLEAN});
		AddSetting({
			name = "FundBuildings",
			description = "Allow funding new buildings",
			easy_value = 0,
			medium_value = 0,
			hard_value = 0,
			custom_value = 0,
			flags = CONFIG_BOOLEAN});
	}
}

RegisterGS(OverPop());
